Bug 25080 - klipper segfaults w/ VNC @ 8 bpp
klipper segfaults w/ VNC @ 8 bpp
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-26 20:28 EST by Tim Waugh
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-12 08:56:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2001-01-26 20:28:14 EST
Whilst running a VNC server with xstartup file '#!/bin/sh\nexec startkde',
klipper crashed.  It could be a VNC problem, or it could be a KDE problem.

(no debugging symbols found)...[New Thread 1024 (LWP 29018)]
0x40d78a19 in __wait4 () from /lib/libc.so.6
#0  0x40d78a19 in __wait4 () from /lib/libc.so.6
#1  0x40de308c in __DTOR_END__ () from /lib/libc.so.6
#2  0x405245c8 in KCrash::defaultCrashHandler (signal=11) at kcrash.cpp:191
#3  0x410f3605 in pthread_sighandler (signo=11, ctx=

      {gs = 7, __gsh = 0, fs = 0, __fsh = 0, es = 43, __esh = 0, ds = 43,
__dsh = 0, edi = 3221222360, esi = 3221222344, ebp = 3221222240, esp =
3221221496, ebx = 1085191348, edx = 0, ecx = 0, eax = 0, trapno = 14, err =
4, eip = 1081294348, cs = 35, __csh = 0, eflags = 66118, esp_at_signal =
3221221496, ss = 43, __ssh = 0, fpstate = 0xbfffedf8, oldmask = 2147483648,
cr2 = 0}) at signals.c:97

#4  <signal handler called>
#5  0x40733e0c in QPixmap::convertToImage (this=0xbffff458)
    at kernel/qpixmap_x11.cpp:692
#6  0x404fd4e2 in KWin::setIcons (win=25165832, icon=@0xbffff458, 
    miniIcon=@0xbffff478) at kwin.cpp:297
#7  0x404cc52e in KApplication::setTopWidget (this=0xbffff758, 
    topWidget=0x808a0a8) at /usr/lib/qt-2.2.3/include/qwidget.h:629
#8  0x40312741 in KMainWindow::KMainWindow (this=0x808a0a8, __in_chrg=0, 
    parent=0x0, name=0x0, f=65537) at ../kdecore/kapp.h:157
#9  0x411936fe in TopLevel::TopLevel () from /usr/lib/klipper.so
#10 0x41193636 in main () from /usr/lib/klipper.so
#11 0x0804a3f4 in strcpy () at ../sysdeps/generic/strcpy.c:31
#12 0x0804bd49 in strcpy () at ../sysdeps/generic/strcpy.c:31
#13 0x40cdcf11 in __libc_start_main (main=0x804b9e0 <strcpy+7568>, argc=7, 
    ubp_av=0xbffffa3c, init=0x80496d8 <_init>, fini=0x804c148 <_fini>, 
    rtld_fini=0x4000e214 <_dl_fini>, stack_end=0xbffffa34)
    at ../sysdeps/generic/libc-start.c:129
Comment 1 Tim Waugh 2001-01-26 20:28:49 EST
(This doesn't happen with normal startx and no VNC)
Comment 2 Tim Waugh 2001-01-27 16:04:09 EST
This only seems to happen with 8 bit depth.  Starting VNC with 'vncserver -depth
16' works fine.

Also, with a hardware X server at 8 bit depth, KDE works fine.  So it seems to
be a 'KDE2 with VNC at 8bpp' problem.  It might even be a Qt bug I guess.
Comment 3 Bernhard Rosenkraenzer 2001-01-29 16:35:45 EST
Either that, or a VNC with KDE @ 8 bpp bug. ;)
Comment 4 Tim Waugh 2001-02-19 17:42:18 EST
See also bug 27839.
Comment 5 Bernhard Rosenkraenzer 2002-04-10 14:50:11 EDT
Does this still happen with 3.0?
Comment 6 Tim Waugh 2002-04-12 08:56:21 EDT
No, it seems to work fine now.

Note You need to log in before you can comment on or make changes to this bug.